__gnu_pbds::container_traits_base< list_update_tag > Struct Reference
Extensions » Policy-Based Data Structures » Traits

`#include <tag_and_trait.hpp>`

## Public Types

enum | { order_preserving , erase_can_throw , split_join_can_throw , reverse_iteration }
typedef list_update_tag | container_category
typedef point_invalidation_guarantee | invalidation_guarantee

## Detailed Description

Specialization, list update.

Definition at line 320 of file tag_and_trait.hpp.

## Member Typedef Documentation

## container_category

typedef list_update_tag __gnu_pbds::container_traits_base< list_update_tag >::container_category

Definition at line 322 of file tag_and_trait.hpp.

## invalidation_guarantee

typedef point_invalidation_guarantee __gnu_pbds::container_traits_base< list_update_tag >::invalidation_guarantee

Definition at line 323 of file tag_and_trait.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Definition at line 325 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp